cdac.medinfo.model

## Class OrganizationInfo

- java.lang.Object
- - cdac.medinfo.model.OrganizationInfo

-     public class OrganizationInfo
      extends java.lang.Object

  This class specify the Organization Details.

  This class has the following attributes:

  1. Organization Name (String)
  2. id (List`<Identifiers>`)
  3. telecom (List`<Contact>`)
  4. Address (List`<Address>`)
  5. standard Industry Class Code (String)
  6. as Organization Part Of Info (OrganizationPartOfInfo)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrganizationInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Address>` | `getAddr()` Returns the Address Details.
    `OrganizationPartOfInfo` | `getAsOrganizationPartOfInfo()` Returns the Details of organization part of.
    `java.util.List<Identifiers>` | `getId()` Returns theList of Id.
    `java.lang.String` | `getOrganizationName()` Returns the Organization Name.
    `java.lang.String` | `getStandardIndustryClassCode()` Returns the Standard Industry Class Code of Organization.
    `java.util.List<Contact>` | `getTelecom()` Returns the List of TeleCommunication Details.
    `void` | `setAsOrganizationPartOfInfo(OrganizationPartOfInfo asOrganizationPartOfInfo)` Sets the Details of organization part of.
    `void` | `setOrganizationName(java.lang.String organizationName)` Sets the Organization Name.
    `void` | `setStandardIndustryClassCode(java.lang.String standardIndustryClassCode)` Sets the Standard Industry Class Code of Organization.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrganizationInfo

          public OrganizationInfo()

  - ### Method Detail

    - #### getId

          public java.util.List<Identifiers> getId()

      Returns theList of Id.
      Returns:
        the id

    - #### getTelecom

          public java.util.List<Contact> getTelecom()

      Returns the List of TeleCommunication Details.
      Returns:
        the telecom

    - #### getAddr

          public java.util.List<Address> getAddr()

      Returns the Address Details.
      Returns:
        the addr

    - #### getStandardIndustryClassCode

          public java.lang.String getStandardIndustryClassCode()

      Returns the Standard Industry Class Code of Organization.
      Returns:
        the standardIndustryClassCode

    - #### setStandardIndustryClassCode

          public void setStandardIndustryClassCode(java.lang.String standardIndustryClassCode)

      Sets the Standard Industry Class Code of Organization.
      Parameters:
        `standardIndustryClassCode` - Specifies the Standard Industry Class Code of Organization.

    - #### getAsOrganizationPartOfInfo

          public OrganizationPartOfInfo getAsOrganizationPartOfInfo()

      Returns the Details of organization part of.
      Returns:
        the asOrganizationPartOf

    - #### setAsOrganizationPartOfInfo

          public void setAsOrganizationPartOfInfo(OrganizationPartOfInfo asOrganizationPartOfInfo)

      Sets the Details of organization part of.
      Parameters:
        `asOrganizationPartOfInfo` - Specifies the Details of organization part of.

    - #### getOrganizationName

          public java.lang.String getOrganizationName()

      Returns the Organization Name.
      Returns:
        the OrganizationName

    - #### setOrganizationName

          public void setOrganizationName(java.lang.String organizationName)

      Sets the Organization Name.
      Parameters:
        `organizationName` - Specifies the Organization Name.